function ClassificacaoTicketController(ScreenService, restEngine, General, CRM_Utilities){
    
    this.saveProduto = function(widget){
        
        var currentRow = widget.currentRow;
        
        var produtos = currentRow.PRODUTOS;
        var rows = [];
        
        produtos.forEach(function(result, index){
            
            rows.push(this.setProdutoValuesInCurrentRow(widget, index));
                
        }.bind(this)); 
        
        General.callRestEngine("product#/sistema_classificacao/save", "DataSet", rows).then(function(response){
            widget.reload().then(function(){
                ScreenService.closeSwipe(true);
            });
        }.bind(this));
    };
    
    this.setProdutoValuesInCurrentRow = function(widget, index){
        
        var currentRow = angular.copy(widget.currentRow);
        var loggedOperatorInfos = CRM_Utilities.getLoggedOperatorInfos();
        
        currentRow.__is_new = true;
        currentRow.NRCLASSIFICACAOCASO = widget.parent.parent.currentRow.NRCLASSIFICACAOCASO;
        currentRow.CDSISTEMA = currentRow.PRODUTOS[index];
        currentRow.NRORG = loggedOperatorInfos.NRORG;
        
        return currentRow;
        
    };
    
    
	
}
Configuration(function(ContextRegister){    ContextRegister.register('ClassificacaoTicketController', ClassificacaoTicketController);
});